commit:     0da1bcc7ae183ce356f93ceb9c9528c3d7d81302
Author:     Z. Liu <zhixu.liu <AT> gmail <DOT> com>
AuthorDate: Tue May  6 04:28:24 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May 11 00:34:56 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0da1bcc7

net-misc/clockspeed: build w/ -std=gnu17

* and don't call AR/RANLIB directly
* add myself as proxy maintainer

Closes: https://bugs.gentoo.org/730002
Closes: https://bugs.gentoo.org/730004
Closes: https://bugs.gentoo.org/946519
Signed-off-by: Z. Liu <zhixu.liu <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/41952
Closes: https://github.com/gentoo/gentoo/pull/41952
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/clockspeed/clockspeed-0.62-r9.ebuild |  6 ++++++
 net-misc/clockspeed/metadata.xml              | 19 +++++++++++++------
 2 files changed, 19 insertions(+), 6 deletions(-)

diff --git a/net-misc/clockspeed/clockspeed-0.62-r9.ebuild 
b/net-misc/clockspeed/clockspeed-0.62-r9.ebuild
index ff6856a5012e..795bbec63e2d 100644
--- a/net-misc/clockspeed/clockspeed-0.62-r9.ebuild
+++ b/net-misc/clockspeed/clockspeed-0.62-r9.ebuild
@@ -30,9 +30,15 @@ PATCHES=(
 )
 
 src_configure() {
+       append-cflags -std=gnu17 # XXX https://bugs.gentoo.org/946519, 
workaround for gcc15
+
        echo "$(tc-getCC) ${CFLAGS} ${ASFLAGS}" > conf-cc || die
        use static && append-ldflags -static
        echo "$(tc-getCC) ${LDFLAGS}" > conf-ld || die
+       sed -i \
+               -e "s:^echo 'ar cr :echo '$(tc-getAR) cr :g" \
+               -e "s:^  echo 'ranlib :  echo '$(tc-getRANLIB) :g" \
+               make-makelib.sh || die
 }
 
 src_install() {

diff --git a/net-misc/clockspeed/metadata.xml b/net-misc/clockspeed/metadata.xml
index 2c98407046f3..498248f969d4 100644
--- a/net-misc/clockspeed/metadata.xml
+++ b/net-misc/clockspeed/metadata.xml
@@ -1,10 +1,17 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-<!-- maintainer-needed -->
-<longdescription lang="en">
-clockspeed uses a hardware tick counter to compensate for a persistently fast 
or
-slow system clock. Given a few time measurements from a reliable source, it
-computes and then eliminates the clock skew. 
-</longdescription>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Z. Liu</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription lang="en">
+       clockspeed uses a hardware tick counter to compensate for a 
persistently fast or
+       slow system clock. Given a few time measurements from a reliable 
source, it
+       computes and then eliminates the clock skew.
+       </longdescription>
 </pkgmetadata>

Reply via email to